Delete Sales Order Custom Field
curl --request DELETE \
--url https://api.jtl-cloud.com/erp/salesOrders/{salesOrderId}/customfields/{customfieldId} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/salesOrders/{salesOrderId}/customfields/{customfieldId}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/salesOrders/{salesOrderId}/customfields/{customfieldId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}salesorder
Delete Sales Order Custom Field
deprecated
Delete the value of a specific custom field of a given sales order
DELETE
/
salesOrders
/
{salesOrderId}
/
customfields
/
{customfieldId}
Delete Sales Order Custom Field
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
The id of the sales order that the custom field belongs to.
The id of the customfield that should be deleted.
Response
Was this page helpful?
⌘I